/**
 * Convert the 2 params as uint32 where the first 4 digits are for contractsId,
 * the followings one are for injectionPoint id
 *
 * @export
 * @param {number} contractId
 * @param {number} injectionPointId
 * @returns a number representing the 2 params as uint32
 */
export declare function encrypt(contractId: number, injectionPointId: number): number;
/**
 * Explore the uint32 into contractId, injectionPointId and locationIds where
 * the first 4 digits are for contractsId,
 * the rest are for injectionPoint id
 *
 * @export
 * @param {number} value
 * @returns
 */
export declare function decrypt(value: number): {
    contractId: number;
    injectionPointId: number;
};
//# sourceMappingURL=eventId.d.ts.map